Freedome not available through Google Play store to ereader ONYX M96 with Android 4.0.4

Hi, I wanted to install Freedome on my ereader (ONYX M96, Android 4.0.4) and connected to Google Play. There the Freedome app is listed as incompatible with my device so it can't be downloaded. According to specs Freedome should be running on Android 4.0.3 and higher so my ereader should be able to run this app. Does anyone have any ideas on how to proceed?

 

Cheers,

 

Frans

Comments

  • BenBen Posts: 2,641 F-Secure Product Expert

    Hello Frans,

     

    It is very likely that your ereader is not including all Android 4.X functionalities such as the vpn that is needed for our product to work.

This discussion has been closed.